---
updatedAt: 2025-09-24T00:06:02.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# Get a single account

Retrieve the details of a single account.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/accounts/{id}": {
      "get": {
        "summary": "Get a single account",
        "description": "Retrieve the details of a single account.",
        "operationId": "show-accounts",
        "parameters": [
          {
            "name": "Client-Id",
            "in": "header",
            "description": "Application's client id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "description": "Application's client secret.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Secret access token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "Account id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"id\": 2341501,\n  \"name\": \"Compte Crédit Immobilier\",\n  \"balance\": -140200.46,\n  \"status\": 0,\n  \"status_code_info\": null,\n  \"status_code_description\": null,\n  \"updated_at\": \"2019-04-06T13:53:12Z\",\n  \"type\": \"loan\",\n  \"currency_code\": \"EUR\",\n  \"item_id\": 187746,\n  \"bank_id\": 408,\n  \"loan_details\": {\n  \t\"next_payment_date\": \"2019-04-30\",\n    \"next_payment_amount\": 1000,\n    \"maturity_date\": \"2026-12-31\",\n    \"opening_date\": \"2013-01-10\",\n    \"interest_rate\": 1.25,\n    \"type\": \"Prêtimmobilier\",\n    \"borrowed_capital\": 140200,\n    \"repaid_capital\": 40200,\n    \"remaining_capital\": 100000\n  },\n  \"savings_details\": null,\n\t\"is_pro\": false,\n  \"iban\": \"FR2420020202260600024M02606\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "example": 2341501,
                      "default": 0
                    },
                    "name": {
                      "type": "string",
                      "example": "Compte Crédit Immobilier"
                    },
                    "balance": {
                      "type": "number",
                      "example": -140200.46,
                      "default": 0
                    },
                    "status": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "status_code_info": {},
                    "status_code_description": {},
                    "updated_at": {
                      "type": "string",
                      "example": "2019-04-06T13:53:12Z"
                    },
                    "type": {
                      "type": "string",
                      "example": "loan"
                    },
                    "currency_code": {
                      "type": "string",
                      "example": "EUR"
                    },
                    "item_id": {
                      "type": "integer",
                      "example": 187746,
                      "default": 0
                    },
                    "bank_id": {
                      "type": "integer",
                      "example": 408,
                      "default": 0
                    },
                    "loan_details": {
                      "type": "object",
                      "properties": {
                        "next_payment_date": {
                          "type": "string",
                          "example": "2019-04-30"
                        },
                        "next_payment_amount": {
                          "type": "integer",
                          "example": 1000,
                          "default": 0
                        },
                        "maturity_date": {
                          "type": "string",
                          "example": "2026-12-31"
                        },
                        "opening_date": {
                          "type": "string",
                          "example": "2013-01-10"
                        },
                        "interest_rate": {
                          "type": "number",
                          "example": 1.25,
                          "default": 0
                        },
                        "type": {
                          "type": "string",
                          "example": "Prêtimmobilier"
                        },
                        "borrowed_capital": {
                          "type": "integer",
                          "example": 140200,
                          "default": 0
                        },
                        "repaid_capital": {
                          "type": "integer",
                          "example": 40200,
                          "default": 0
                        },
                        "remaining_capital": {
                          "type": "integer",
                          "example": 100000,
                          "default": 0
                        }
                      }
                    },
                    "savings_details": {},
                    "is_pro": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "iban": {
                      "type": "string",
                      "example": "FR2420020202260600024M02606"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/accounts/2341501' \\\n\t-X GET \\\n\t-H 'Bridge-Version: 2021-06-01' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\\n\t-H 'Authorization: Bearer TOP_SECRET_ACCESS_TOKEN'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```